/*
***********************************************************************
China Mine version 1.1
Copyright (C) 1998, 1999, 2000  Ma Guokai, from People's Republic of China

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

If what you get is only part of the program, send an email to akey@fudan.edu
give the name of the program and the version number (newest by default), I'll
send you a copy of the full package.
*****************************************************************************
*/

import java.awt.*;

class ShowImage extends Canvas
{
	private Image image;
	public ShowImage(Image image)
	{
		this.image=image;
		setSize(image.getWidth(this),image.getHeight(this));
	}
	
	public void paint(Graphics g)
	{
		g.drawImage(image,0,0,this);
	}
	
	public void update(Graphics g)
	{
		paint(g);
	}

	public Dimension getMinimumSize()
	{
		return new Dimension(image.getWidth(this), image.getHeight(this));
	}

	public Dimension getPreferredSize()
	{
		return getMinimumSize();
	}
}