/*
***********************************************************************
China Mine version 1.1
Copyright (C) 1998, 1999, 2000  Ma Guokai, from People's Republic of China

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

If what you get is only part of the program, send an email to akey@fudan.edu
give the name of the program and the version number (newest by default), I'll
send you a copy of the full package.
*****************************************************************************
*/

import java.awt.Image;
import java.net.*;
import java.util.*;

public class Constant
// This class include many Constants and globl varibles.
{
	public final static int ENGLISH=0, CHINESE=1, LANGUAGE=2;
	public final static int NONE=0, ONE=1, TWO=2, THREE=3, FOUR=4,
		 FIVE=5, SIX=6, SEVEN=7, EIGHT=8,
		MINE=9, BAN=10, WRONG=11, UNTOUCHED=12,
		FLAG=13,BLOCK=14;
//these varibles specifies the sort of image in the gif image block.gif
	public final static int DOWN=0, SMILE=1, OH=2, AH=3, HAPPY=4,FACE=5;
//face.gif
	public final static int LED=11;
//led.gif there are 11 images

	public static final int LEDW=13,LEDH=23;
	public static final int blockW=16,blockH=16,blockX=12,blockY=55;
	public static final int iconW=32,iconH=32;
	public static final int iconButtonW=36,iconButtonH=36;
	public static final int faceW=26,faceH=26,faceY=15;
	public static final int mineX=17,mineY=16,timeY=16;
//some varibles used in program, do not change it unless you are sure that you
//know the meaning of these number

	public static boolean isApplet;
//specify whether you start the program from an applet or an application
	public static final int maxMatrixWidth=30, maxMatrixHeight=30;
	public static int anonymousTime=999;
	public static final LevelConst[] levels=new LevelConst[4];
	public static StyleConst[] styles;
	public static LanguageStrings[] languages;
//specify the size, mine number, and name of each level
	public static URL mineCGIurl=null;
	public static String mineCGIstring=null;
	public static MainFrame onlyFrame;
	public static MainCanvas onlyCanvas;
	public static ChinaMine topApplet;
	public static Image akeyIcon;
	public static Random random=new Random();

	public static void resume()
	{
		onlyFrame.setEnabled(true);
		onlyFrame.enabled=true;
		onlyCanvas.leftDown=false;
		onlyCanvas.rightDown=false;
		onlyCanvas.insideFace=false;
		onlyCanvas.moveSee=true;
		onlyCanvas.returnFocus();
	}

	public static void initLevelConst()
	{
		levels[0]=new LevelConst(8, 8, 10);
		levels[1]=new LevelConst(16, 16, 40);
		levels[2]=new LevelConst(30, 16, 99);
		levels[3]=new LevelConst(30, 30, 188);
	}

	public static void resetName()
	{
		Constant.levels[0].setName(Constant.languages[Config.language].beginnerLevel);
		Constant.levels[1].setName(Constant.languages[Config.language].intermediateLevel);
		Constant.levels[2].setName(Constant.languages[Config.language].expertLevel);
		Constant.levels[3].setName(Constant.languages[Config.language].masterLevel);
	}

	public static String[][] parameterInfo=
			{
				{"language", "integer", "The default language for this applet, 0 for English, 1 for Chinese..."},
				{"startLevel", "integer", "The default level of China Mine"},
				{"startStyle", "integer", "The default style of China Mine"},
				{"mineCGI", "url", "The web page to show statistics of China Mine"}
			};

}

