/*
***********************************************************************
China Mine version 1.1
Copyright (C) 1998, 1999, 2000  Ma Guokai, from People's Republic of China

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

If what you get is only part of the program, send an email to akey@fudan.edu
give the name of the program and the version number (newest by default), I'll
send you a copy of the full package.
*****************************************************************************
*/

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "recordFile.h"
#include "http.h"
#include "counter.h"
#include "register.h"
#include "misc.h"

void main(int l_argc, char** l_argv)
{
	argc=l_argc;
	argv=l_argv;

	if(argc<3) /* none args */
	{
		showBestTime();
	}


	if(startFrom(argv[2], "function_"))
	{
		writeTextContent();
		if(!strcmp(argv[2]+9, "isbest"))
		{
			if(argc!=6)
				showError("Wrong args in get best time function.");
			else
				puts("999");
			exit(0);
		}
		else if(!strcmp(argv[2]+9, "register"))
		{
			regist();
			exit(0);
		}
		else if(!strcmp(argv[2]+9, "count"))
		{
			addCounter();
			exit(0);
		}
		else
		{
			writeTextContent();
			showError("I dont know what do you want to do.");
		}
	}
	else if(argc<4)
		showBestTime();
	else
	{
		writeTextContent();
		showError("I dont know what do you want to do.");
	}
}
